'use strict';

module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    docco: {
      docs: ['./index.js'],
      options: {
        output: 'docs'
      }
    },
    jshint: {
      options: {
        jshintrc: '.jshintrc'
      },
      gruntfile: {
        src: 'Gruntfile.js'
      },
      app: {
        src: ['*.js']
      }
    },
    watch: {
      gruntfile: {
        files: '<%= jshint.gruntfile.src %>',
        tasks: ['jshint:gruntfile']
      },
      app: {
        files: '<%= jshint.app.src %>',
        tasks: ['jshint:app', 'docco']
      }
    },
  });

  // These plugins provide necessary tasks.
  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-docco2');

  // Default task.
  grunt.registerTask('default', ['jshint']);
  grunt.registerTask('doccp', ['docco']);

};
